MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028095Open CASCADE[OCCT] OCCT:DRAWpublic2016-11-12 14:192016-12-09 16:39
Reporterkgv 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2015OS Version64 bit
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0028095: Draw Harness, ViewerTest - use RGBA format instead of BGRA within vreadpixel
DescriptionOpenGL ES has GL_EXT_texture_format_BGRA8888 extension defining BGRA texture format but there are no extensions for glReadPixels()!

Command vreadpixel erroneously uses unsupported format leading to failures within OpenGL ES renderer.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0027811closedbugmaster Configuration - allow building TKOpenGl with OpenGL ES on Windows 
related to 0028098newkgv Visualization - errors in tests when using OpenGL ES (ANGLE) 

-  Notes
(0060261)
git (administrator)
2016-11-12 16:51

Branch CR28095 has been created by kgv.

SHA-1: 256776787cc0f4bf5926faff117073bab8ce4a80


Detailed log of new commits:

Author: kgv
Date: Sat Nov 12 16:51:20 2016 +0300

    0028095: Draw Harness, ViewerTest - use RGBA format instead of BGRA within vreadpixel
    
    OpenGl_Workspace::BufferDump() now implicitly converts RGBA dump
    into requested BGR, BGRA and RGB image.
(0060262)
kgv (developer)
2016-11-12 16:51

Patch is ready for review.
(0060266)
git (administrator)
2016-11-13 20:43

Branch CR28095 has been updated by abv.

SHA-1: 219f23ed14796363102e9953919b9118307ca342


Detailed log of new commits:

Author: abv
Date: Sun Nov 13 20:42:53 2016 +0300

    DRAW command dversion is improved to report OpenGL variant used (desktop or ES); reporting of version of MSVC is corrected for VC14 and above; reporting of HAVE_OPENCL option is removed.
    
    Usage of command vdump is corrected in some tests to specify extension .png for an image file.
    
    Compiler warning is eliminated in OpenGl_Text.cxx (OpenGL ES mode only).

(0060268)
git (administrator)
2016-11-13 23:22

Branch CR28095 has been updated forcibly by kgv.

SHA-1: 39f0075338d791cf349dc5d9e4fb3a358ee110c3
(0060329)
abv (manager)
2016-11-14 21:18
edited on: 2016-11-17 06:17

I confirm that this fix resolves problems on ~ 280 test cases when running on Windows with ANGLE

(0060385)
san (developer)
2016-11-15 19:08

Branch CR28095 reviewed without remarks, ready for testing.
(0060449)
mkv (tester)
2016-11-16 18:04

Dear BugMaster,
Branch CR28095 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 39f0075338d791cf349dc5d9e4fb3a358ee110c3

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 63 (63 on master)
Windows: 0 (0 on master)
MacOS : 1125

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 91550787 / 91876668 [-0.35%]
Total CPU difference: 21674.74000000023 / 21600.690000000308 [+0.34%]
products component :
Total MEMORY difference: 29925013 / 29934528 [-0.03%]
Total CPU difference: 5318.629999999979 / 5309.129999999963 [+0.18%]

Testing on Windows:
occt component :
Total MEMORY difference: 56588716 / 56597852 [-0.02%]
Total CPU difference: 20301.112134498435 / 19669.510885798518 [+3.21%]
products component :
Total MEMORY difference: 20822560 / 20790286 [+0.16%]
Total CPU difference: 5307.6064228999685 / 5153.477434899959 [+2.99%]

There are no differences in images found by testdiff.
(0060451)
mkv (tester)
2016-11-16 18:04

Dear BugMaster,
Branch CR28095 is TESTED.
(0061290)
git (administrator)
2016-12-07 11:31

Branch CR28095 has been deleted by kgv.

SHA-1: 39f0075338d791cf349dc5d9e4fb3a358ee110c3

- Related Changesets
occt: master f9f740d6
Timestamp: 2016-11-17 12:39:52
Author: kgv
Committer: apn
Details ] Diff ]
0028095: Draw Harness, ViewerTest - use RGBA format instead of BGRA within vreadpixel

OpenGl_Workspace::BufferDump() now implicitly converts RGBA dump
into requested BGR, BGRA and RGB image.

DRAW command dversion is improved to report OpenGL variant used (desktop or ES); reporting of version of MSVC is corrected for VC14 and above; reporting of HAVE_OPENCL option is removed.

Usage of command vdump is corrected in some tests to specify extension .png for an image file.

Compiler warning is eliminated in OpenGl_Text.cxx (OpenGL ES mode only).
mod - src/Draw/Draw_BasicCommands.cxx Diff ] File ]
mod - src/Image/Image_PixMap.cxx Diff ] File ]
mod - src/Image/Image_PixMap.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Text.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace.cxx Diff ] File ]
mod - src/V3d/V3d_View.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]
mod - tests/bugs/vis/bug26147 Diff ] File ]
mod - tests/bugs/vis/bug26159 Diff ] File ]
mod - tests/bugs/vis/bug26413 Diff ] File ]
mod - tests/bugs/vis/bug26430 Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-11-12 14:19 kgv New Issue
2016-11-12 14:19 kgv Assigned To => kgv
2016-11-12 14:21 kgv Relationship added related to 0027811
2016-11-12 14:31 kgv Description Updated View Revisions
2016-11-12 16:51 git Note Added: 0060261
2016-11-12 16:51 kgv Note Added: 0060262
2016-11-12 16:51 kgv Assigned To kgv => san
2016-11-12 16:51 kgv Status new => resolved
2016-11-13 20:43 git Note Added: 0060266
2016-11-13 23:22 git Note Added: 0060268
2016-11-14 10:17 kgv Relationship added related to 0028098
2016-11-14 21:18 abv Note Added: 0060329
2016-11-15 19:08 san Note Added: 0060385
2016-11-15 19:08 san Assigned To san => bugmaster
2016-11-15 19:08 san Status resolved => reviewed
2016-11-15 19:20 mkv Assigned To bugmaster => mkv
2016-11-16 18:04 mkv Note Added: 0060449
2016-11-16 18:04 mkv Note Added: 0060451
2016-11-16 18:04 mkv Assigned To mkv => bugmaster
2016-11-16 18:04 mkv Status reviewed => tested
2016-11-16 18:04 mkv Test case number => Not needed
2016-11-17 06:17 abv Note Edited: 0060329 View Revisions
2016-11-18 16:37 apn Changeset attached => occt master f9f740d6
2016-11-18 16:37 apn Assigned To bugmaster => apn
2016-11-18 16:37 apn Status tested => verified
2016-11-18 16:37 apn Resolution open => fixed
2016-12-07 11:31 git Note Added: 0061290
2016-12-09 16:29 user533 Status verified => closed
2016-12-09 16:39 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker